# variable "lxc_passwd" {
#     type = string
#     sensitive = true
# }
# 
# resource "proxmox_lxc" "lxc_demo_1" {
#     target_node = "pve"
#     ostemplate = "local:vztmpl/debian-12-standard_12.7-1_amd64.tar.zst"
#     password = var.lxc_passwd
#     unprivileged = true
#     vmid = "0"
# 
#     ssh_public_keys = <<-EOT
#       ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIBzh23ZkSVNbmDKk9esAT9qNkOoYFLhpX2nSLKPJaDVZ petar.cubela@sbx-mac-lab.local
#     EOT
# 
# 
#     features {
#         nesting = true
#     }
#     hostname = "lxc-demo-1"
# 
#     network {
#         name = "eth1"
#         bridge = "vmbr1"
#         ip = ""
#         ip6 = "auto"
#     }
# 
#     rootfs {
#       storage = "local-zfs"
#       size    = "8G"
#     }
# 
# }
